BitMagic-C++: Data Fields - Functions

BitMagic-C++

### - c -

- calc_octet_stat() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- calc_prefix_sum() : bm::bvps_addr_resolver< BV >
- calc_stat() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::bvector< Alloc > , bm::compressed_buffer_collection< BV > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- calculate() : bm::similarity_batch< SDESCR >
- capacity() : bm::sparse_vector_serial_layout< SV >
- check_create_target() : bm::aggregator< BV >
- chrono_taker() : bm::chrono_taker
- clear() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::bvector< Alloc > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- clear_bit() : bm::bvector< Alloc > , bm::bvector_mini< A >
- clear_bit_no_check() : bm::bvector< Alloc >
- clear_range() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::bvector< Alloc > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- clear_value_plains_from() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- cols() : bm::tmatrix< T, ROWS, COLS >
- combine_and() : bm::aggregator< BV > , bm::bvector_mini< A >
- combine_and_horizontal() : bm::aggregator< BV >
- combine_and_sub() : bm::aggregator< BV >
- combine_and_sub_horizontal() : bm::aggregator< BV >
- combine_operation() : bm::bvector< Alloc >
- combine_operation_and() : bm::bvector< Alloc >
- combine_operation_or() : bm::bvector< Alloc >
- combine_operation_sub() : bm::bvector< Alloc >
- combine_operation_with_block() : bm::bvector< Alloc >
- combine_operation_xor() : bm::bvector< Alloc >
- combine_or() : bm::aggregator< BV > , bm::bvector_mini< A >
- combine_or_horizontal() : bm::aggregator< BV >
- combine_shift_right_and() : bm::aggregator< BV >
- combine_sub() : bm::bvector_mini< A >
- combine_xor() : bm::bvector_mini< A >
- common_prefix_length() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- compare() : bm::bvector< Alloc > , bm::bvector_mini< A > , bm::sparse_vector< Val, BV > , bm::sparse_vector_scanner< SV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- compare_octet() : bm::basic_bmatrix< BV >
- compare_state() : bm::bvector< Alloc >::iterator_base
- compare_str() : bm::sparse_vector_scanner< SV >
- compress() : bm::rank_compressor< BV >
- compress_by_source() : bm::rank_compressor< BV >
- compressed_collection() : bm::compressed_collection< Value, BV >
- compute_distance_matrix() : bm::gap_transpose_engine< GT, BT, BLOCK_SIZE >
- compute_x_block_stats() : bm::xor_scanner< BV >
- const_iterator() : bm::rsc_sparse_vector< Val, SV >::const_iterator , bm::sparse_vector< Val, BV >::const_iterator , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_iterator
- const_reference() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference
- construct_bvector() : bm::basic_bmatrix< BV >
- construct_row() : bm::basic_bmatrix< BV >
- construct_rs_index() : bm::bvps_addr_resolver< BV >
- container() : bm::compressed_collection< Value, BV >
- copy_from() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::basic_bmatrix< BV >
- copy_range() : bm::bvector< Alloc > , bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- copy_range_plains() : bm::base_sparse_vector< Val, BV, MAX_SIZE >
- copy_to_array_functor() : bm::copy_to_array_functor< B >
- correct_nulls() : bm::sparse_vector_scanner< SV >
- count() : bm::bvector< Alloc > , bm::bvector< Alloc >::counted_enumerator
- count_blocks() : bm::bvector< Alloc >
- count_range() : bm::bvector< Alloc >
- count_to() : bm::bvector< Alloc >
- count_to_test() : bm::bvector< Alloc >
- counted_enumerator() : bm::bvector< Alloc >::counted_enumerator